Subject: [Dime] FW: I have some question for Diameter Base Protocol(RFC3588)

From: <[email-masked]>
Date: Tue, 27 Jun 2006 13:24:44 +0300

Hi Lee,

I am forwarding this to the Diameter Extentions & Maintanence mailing list, for discussion there.

John 

________________________________

	From: ext Mark Lee [mailto:[email-masked]] 
	Sent: 27 June, 2006 04:55
	To: [email-masked]; Loughney John (Nokia-NRC/Helsinki); [email-masked]; [email-masked]
	Subject: I have some question for Diameter Base Protocol(RFC3588)

	Hello!
	 
	I am LEE.. live in Korea..
	 
	I have some question for Diameter Base Protocol.
	 
	I'm university and studying Diameter Base protocol.
	 
	I want to know this...
	 
	Tell me some information plz..
	 
	===============================================
	6.11.  Vendor-Specific-Application-Id AVP
	 
	 AVP Format
	
	   <Vendor-Specific-Application-Id> ::= < AVP Header: 260 >
	                                     1* [ Vendor-Id ]
	                                     0*1{ Auth-Application-Id } 
	                                     0*1{ Acct-Application-Id }
	===============================================
	 
	I can't understand that AVP Format of Vendor-Specific-Application-Id AVP.
	 
	this is grammar of grouped avp
	 
	================================================
	 
		grouped-avp-def  = name "::=" avp
	 
	      name-fmt         = ALPHA *(ALPHA / DIGIT / "-")
	 
	      name             = name-fmt
	                         ; The name has to be the name of an AVP,
	                         ; defined in the base or extended Diameter 
	                         ; specifications.
	 
	      avp              = header  [ *fixed] [ *required] [ *optional] [ *fixed]
		=================================================
	 
	See that "  header  [ *fixed] [ *required] [ *optional] [ *fixed] "
	 
	But..
	 
	Vendor-Specific-Application-Id is 
	 
	   <Vendor-Specific-Application-Id> ::= < AVP Header: 260 >
	                                     1* [ Vendor-Id ]                                   <-- this is optional..   (front of  fixed!!) 
	                                     0*1{ Auth-Application-Id }                    <-- this is required
	                                     0*1{ Acct-Application-Id }
	
	I think that it is violation of rule that "avp = header  [ *fixed] [ *required] [ *optional] [ *fixed]"
	 
	Is it right??
	 
	and I want to know...
	 
	 1* [ Vendor-Id ] -> [] is optional..  why have to more than 1??? 
	 0*1{ Auth-Application-Id }  - {} is required .... why can be 0 ??
	 
	I am sorry I am not good at speak in English.
	 
	Have nice day.!

	-- 
	Best regards!
	
	Hyo-Sung Lee(李曉星/Mark Lee)
	
	KRSF Certified Inline Skate Instructor
	Fitness Inline Skate Trainer
	Mogul&Freeride Skier
	IDOne ski rider
	GranTurismo International A Licence 
	
	+82-11-257-4758 / [email-masked]; [email-masked](MSN)
	                  [email-masked]; [email-masked](KT-Iman) 

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime